2019-12-13 08:15 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002030FSSCPgraphicspublic2010-12-10 23:30
Reporterchief1983 
Assigned ToZacam 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.13 
Summary0002030: PNG texture support
DescriptionAdd support for PNG textures and frames in EFFs.
Additional InformationI believe this is what the goal was for PNG support, correct if I was wrong. If Flaming_Sword is the one doing this please reassign.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011505

Zacam (administrator)

Currently Committed for Antipodes 5.

~0011650

Zacam (administrator)

Committed to Trunk as of 5890.

Leaving open in Feedback during RC Phase, will close once Final is produced.

~0011832

chief1983 (administrator)

We need to check this out probably http://www.hard-light.net/forums/index.php?topic=68405.msg1355076#msg1355076

Contains a possible fix to enable support for libpng 1.4.x. We need to see if the issue he reported is for sure because of 1.4.x, and if his patch doesn't break 1.2.x we might as well include it in 3.6.12 anyway. At least compiling with 1.4.x wouldn't break, and we can finish fixing it later.

~0011992

havner (reporter)

It is caused by 1.4.

Just run on the same issue.

~0011993

chief1983 (administrator)

Yup I've seen several reports that it's 1.4 causing it since posting that comment. So currently FSO compiles with 1.4 but has some glitches with the PNG test package in the mainhall. We'll need to find out why before we can endorse using 1.4 on those systems.

~0012089

Zacam (administrator)

Committed topic patch data in 6221 after verifying that compile and operation with SVN supplied data.

~0012091

Zacam (administrator)

Flaming Sword and myself are now working an updating libpng code to interface with libpng version 1.4.x which should hopefully reduce a lot of problems and resolve some warnings and/or other issues. Version 1.2.x of libpng is hereby put on notice for replacement.

~0012092

chief1983 (administrator)

:)

~0012094

Flaming_Sword (developer)

Did a build using VS2008 in windows with libpng 1.4.2 and zlib 1.2.5 - also examined the test pack linked in the thread.

libpng appears fine. The error in the thread is due to the test pack itself.

Test using older build (probably trunk as of February 3rd 2010 and libpng 1.2.x) behaved identically.

~0012095

chief1983 (administrator)

lol awesome. Maybe someone should fix the test pack? :p

~0012125

Zacam (administrator)

Last edited: 2010-07-06 03:01

Sure, as soon as Photoshop fixes it's PNG_Write handling abilities.

I kid of course. Recommendation: Use Gimp or Paint.NET for any/all PNG interfaces, _ESPECIALLY_ transparent ones.

(At least until such time as we can code it to properly handle Photoshops frakked up output, that is. But don't hold your breath on that one, it's not a flattering shade of purple)

EDIT: And to note, there is a background disparity between the buttons in the test pack and the Retail Background, as I applied a smoothing/semi-blur effect. This makes for the background highlight to look differently on hover, which examples that the engine is loading the PNG versions of those elements, so they are not broken, per-se.

~0012542

Zacam (administrator)

PNG Feature implementation operates in all intended capacities. Works in EFFs (where code allows) and for Interface art.

Animated PNG (as MNG) is a separate feature request. Updates to libpng and zlib pending as maintenance and have no effect on current feature ability.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-10 00:04 chief1983 New Issue
2009-11-10 00:04 chief1983 Status new => assigned
2009-11-10 00:04 chief1983 Assigned To => Zacam
2010-01-09 13:50 Zacam Note Added: 0011505
2010-01-09 13:51 Zacam Status assigned => feedback
2010-02-11 19:36 Zacam Note Added: 0011650
2010-03-25 16:54 chief1983 Note Added: 0011832
2010-05-23 21:03 havner Note Added: 0011992
2010-05-23 22:55 chief1983 Note Added: 0011993
2010-06-17 21:51 Zacam Note Added: 0012089
2010-06-18 20:46 Zacam Note Added: 0012091
2010-06-19 11:42 chief1983 Note Added: 0012092
2010-06-19 22:01 Flaming_Sword Note Added: 0012094
2010-06-20 15:27 chief1983 Note Added: 0012095
2010-06-23 00:26 Zacam Note Added: 0012125
2010-06-23 00:27 Zacam Note Edited: 0012125
2010-07-06 03:01 Zacam Note Edited: 0012125
2010-12-10 23:30 Zacam Note Added: 0012542
2010-12-10 23:30 Zacam Status feedback => resolved
2010-12-10 23:30 Zacam Fixed in Version => 3.6.13
2010-12-10 23:30 Zacam Resolution open => fixed
+Issue History